Package org.codehaus.groovy.tools.groovydoc

## Class SimpleGroovyMethodDoc

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
  - - org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
    - - org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc
      - - org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc
        - - org.codehaus.groovy.tools.groovydoc.SimpleGroovyExecutableMemberDoc
          - - org.codehaus.groovy.tools.groovydoc.SimpleGroovyMethodDoc

- All Implemented Interfaces:
    `Comparable`, `GroovyDoc`, `GroovyExecutableMemberDoc`, `GroovyMemberDoc`, `GroovyMethodDoc`, `GroovyProgramElementDoc`

      public class SimpleGroovyMethodDoc
      extends SimpleGroovyExecutableMemberDoc
      implements GroovyMethodDoc

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc

      `belongsToClass`

    - ### Fields inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

      `ANNOTATION_DEF, CLASS_DEF, ENUM_DEF, INTERFACE_DEF, TRAIT_DEF`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleGroovyMethodDoc​(String name, GroovyClassDoc belongsToClass)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GroovyClassDoc` | `overriddenClass()` |
    `GroovyMethodDoc` | `overriddenMethod()` |
    `GroovyType` | `overriddenType()` |
    `boolean` | `overrides​(GroovyMethodDoc arg0)` |
    `GroovyType` | `returnType()` |
    `void` | `setReturnType​(GroovyType returnType)` |
    `void` | `setTypeParameters​(String typeParameters)` |
    `String` | `typeParameters()` |

    - ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyExecutableMemberDoc

      `add, flatSignature, isNative, isSynchronized, isVarArgs, parameters, signature, thrownExceptions, thrownExceptionTypes`

    - ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc

      `commentText, firstSentenceCommentText, isSynthetic`

    - ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc

      `isAbstract, setAbstract`

    - ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc

      `addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName, setContainingPackage, setFinal, setPackagePrivate, setPrivate, setProtected, setPublic, setStatic`

    - ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

      `calculateFirstSentence, compareTo, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, tokenType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

      `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

    - ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyExecutableMemberDoc

      `flatSignature, isNative, isSynchronized, isVarArgs, parameters, signature, thrownExceptions, thrownExceptionTypes`

    - ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyMemberDoc

      `isSynthetic`

    - ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyMethodDoc

      `isAbstract`

    - ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyProgramElementDoc

      `annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

- - ### Constructor Detail

    - #### SimpleGroovyMethodDoc

          public SimpleGroovyMethodDoc​(String name,
                                       GroovyClassDoc belongsToClass)

  - ### Method Detail

    - #### returnType

          public GroovyType returnType()

      Specified by:
        `returnType` in interface `GroovyMethodDoc`

    - #### setReturnType

          public void setReturnType​(GroovyType returnType)

      Specified by:
        `setReturnType` in interface `GroovyMethodDoc`

    - #### overriddenClass

          public GroovyClassDoc overriddenClass()

      Specified by:
        `overriddenClass` in interface `GroovyMethodDoc`

    - #### overriddenMethod

          public GroovyMethodDoc overriddenMethod()

      Specified by:
        `overriddenMethod` in interface `GroovyMethodDoc`

    - #### overriddenType

          public GroovyType overriddenType()

      Specified by:
        `overriddenType` in interface `GroovyMethodDoc`

    - #### overrides

          public boolean overrides​(GroovyMethodDoc arg0)

      Specified by:
        `overrides` in interface `GroovyMethodDoc`

    - #### typeParameters

          public String typeParameters()

    - #### setTypeParameters

          public void setTypeParameters​(String typeParameters)